The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Export the DoS Profile to the Manager Client

Prev Next

This URL exports the DoS profile to the Manager client.

Resource URL

PUT /sensor/<sensor_id>/ exportdosprofile

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensorId Sensor id Number Yes

Payload Request Parameters:

Field Name Description Data Type Mandatory
DosProfileExport DoS profile Object Yes

Details of DosProfileRestoreName:

Field Name Description Data Type Mandatory
dosProfileName DoS profile name String Yes
destinationFolder Destination folder of the client String Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful Number
message Returns the status messages String

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/1002/exportdosprofile

Payload

{
	"dosProfileName": "profile_Fri_Apr_25_15_49_38_IST_2014.dat.gz",
	"destinationFolder": "C:\\dos"
} 

Response

{
       "status": 1,
       "message": "File Copied to : C:\dos\profile_Fri_Apr_25_15_49_38_IST_2014.dat.gz "
    } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 400 1124 The Sensor is inactive